Spaces method and path for this operation:
get /s/{space_id}/api/lists/index
Refer to Spaces for more information.
Verify that .lists and .items data streams exist.
GET
/api/lists/index
curl \
--request GET 'https://<KIBANA_URL>/api/lists/index' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"list_index": true,
"list_item_index": true
}
Response examples (400)
{
"message": "Unable to read value list data stream status for this space",
"status_code": 400
}
Response examples (401)
{
"error": "Unauthorized",
"message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
"statusCode": 401
}
Response examples (403)
{
"error": "Forbidden",
"message": "API [GET /api/lists/index] is not authorized; list read permissions are required",
"statusCode": 403
}
Response examples (404)
{
"message": "Value list backing indices were not found for this space",
"status_code": 404
}
Response examples (500)
{
"message": "Internal Server Error",
"status_code": 500
}